Printago API
GET /v1/customizer/textures/store

List store custom textures

List the store's uploaded build-plate textures.

Requires: customizer.manage

Response Schema

StoreCustomTextureWithUrl[]
Array of StoreCustomTextureWithUrl, each with:
createdAtrequired
string
format: date-time
customSvgUrlrequired
string
idrequired
string
pattern: ^[a-z0-9]{24}$
mimeTyperequired
string
MIME type of the uploaded file (`image/svg+xml` or `image/png`).
namerequired
string
opacityrequired
number
Tile rendering opacity in the customer UI (0..1).
storagePathrequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
viewBoxrequirednullable
string
Raw `viewBox` string copied from the uploaded SVG. Null for PNGs.

Example Response

200 OK — application/json
[
  {
    "customSvgUrl": "string",
    "name": "string",
    "storagePath": "string",
    "mimeType": "string",
    "viewBox": "string",
    "opacity": 1,
    "id": "string",
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]